#version 330

in vec3 position;
in vec2 texcoord;

uniform mat4 projection;
uniform mat4 view;

out vec2 fs_texcoord;

void main()
{
	fs_texcoord = texcoord;
	mat4 v = view;
	v[3][0] = 0;
	v[3][1] = 0;
	v[3][2] = 0;
    gl_Position = projection * v * vec4(position,1);
}