#version 330

in vec2 UV;
out vec4 fragColor;
uniform sampler2D tex;

void main()
{
	vec4 col = texture(tex,UV);
	if(col.w > 0.88)
	{
    	fragColor = vec4(1,1,1,1);
    } else if (col.w > 0.4) {
    	fragColor = vec4(0,0,0,1);
    } else {
		discard;
	}
}
