#version 330

in vec2 fs_texcoord;
in vec3 fs_normal;

uniform sampler2D tex;

out vec4 fragColor;


void main()
{
	vec4 col = texture(tex,fs_texcoord);
	vec3 lightDir = vec3(-1,-1,-1);
	float NdotL = max(dot(fs_normal, lightDir), 0.0);
    fragColor = col*(NdotL+0.3);
}